Subject: [RFC] virtio: use mandatory barriers for remote processor vdevs

From: [email-masked] (Rusty Russell)
Date: Thu, 01 Dec 2011 12:58:59 +1030

On Thu, 1 Dec 2011 01:13:07 +0200, "Michael S. Tsirkin" <[email-masked]> wrote:
> For x86, stores into memory are ordered. So I think that yes, smp_XXX
> can be selected at compile time.
> 
> So let's forget the virtio strangeness for a minute,

Hmm, we got away with light barriers because we knew we were not
*really* talking to a device.  But now with virtio-mmio, turns out we
are :)

I'm really tempted to revert d57ed95 for 3.2, and we can revisit this
optimization later if it proves worthwhile.

Thoughts?
Rusty.